

.main-container{
    display: flex;
    flex-direction: column;
    align-content: center;
    height: 100vh;
  }
  .header-search{
    background-color: #4a90e2;
    height: 20vh;
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
  .search-input{
    width: 100%;
    height: 48px;
    border-radius: 4px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border: none;
    padding-left: 1rem;
  }
  .search-input::placeholder, .search-input:active{
    color: #3c3c3c;
    font-size: 16px;
    opacity: 0.25;
  }
  .searchIcon {
    position: absolute;
    left: 91%;
    top: 32%;
    cursor: pointer;
  }
  .icon-back{
    width: 24px;
    height: 24px;
    cursor: pointer;
    margin: 2rem auto auto 2rem;
  }
  
  .input-box{
    margin: auto auto auto 0;
    position: relative;
    min-width: 460px;
    padding-right: 1rem;
  }

  


  .forecast-box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 4px;
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    height: 100%;
    width: 75%;
    margin: auto;
  }
  .forecast-info-container{
    background-color: #f6f6f6;
    height: 80vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  
  .temperature-info-box{
    display: flex;
    flex-direction: row;
    padding: 2.5rem;
  }
  .current-temperature-box{
    width: 25%;
    height: 90%;
    display: flex;
    flex-direction: column;
    border-radius: 4px;
    border: solid 2px #f0f0f0;
  }
  .temperature-txt-box{
    background-color: cadetblue;
    width: 100%;
    border-radius: 4px;
    border: solid 1px #f0f0f0;
    background-color: #f0f0f0;
  }
  
  .temperature-txt-h2{
    opacity: 0.75;
    font-family: Roboto;
    font-size: 48px;
    font-weight: bold;
    text-align: center;
    color: #3c3c3c;
  }
  .temperature-icon-box{
    border-radius: 4px;
    border: solid 1px #f0f0f0;
    background-color: #ffffff;
    width: 100%;
    padding: 1rem 0;
  }
  .forecast-description-text{
    margin: 0;
    opacity: 0.75;
    font-size: 14px;
    font-style: italic;
    text-align: center;
    color: #3c3c3c;
  }
  .max-min-sun-box{
    width: 70%;
    height: 100%;
    display: flex;
    flex-direction: column;
  }
  .max-box, .min-box, .sunrise-box, .sunset-box{
    width: 90%;
    border-bottom: 1px solid #f0f0f0;
    margin: auto;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
  
  }
  .label-txt, .min-txt, .max-txt{
    font-family: Roboto;
    font-size: 14px;
    font-weight: bold;
    color: #3c3c3c;
  }
  .max-txt{
    color: #b30000;
    margin-left: 109px;
  
  }
  .min-txt{
    color: #4a90e2;
    margin-left: 109px;
  }
  .five-day-forecast-box{
    display: flex;
    flex-direction: column;
    height: 80%;
    width: 100%;
    overflow: scroll;
  }
  .forecast-table{
    display: flex;
    flex-direction: column;
  }
  .header-title{
    display: flex;
    flex-direction: row;
  }
  .five-day-title{
    font-size: 24px;
    text-align: center;
    color: #3c3c3c;
    font-weight: normal;
    margin: auto 1rem 1rem 2.75rem;
  }
  .five-day-p{
    font-size: 12px;
    font-style: italic;
    color: #3c3c3c;
    margin: auto;
    margin-left: 0;
    opacity: 0.5;
    margin-bottom: 1rem;
  }
  .title-txt{
    font-family: Roboto;
    font-size: 36px;
    text-align: center;
    color: #3c3c3c;
  }
  .date-txt{
    opacity: 0.5;
    font-family: Roboto;
    font-size: 14px;
    color: #3c3c3c;
  }
  .sunrise-sunset-txt{
    font-family: Roboto;
    font-size: 14px;
    color: #3c3c3c;
    margin-left: 88px;
  }

  @media only screen and (max-width: 768px){
    .searchIcon{
      left: 87%;
    }
    .input-box{
      max-width: 218px;
      min-width: 218px;
    }
    .icon-back{
      margin: auto;
      margin-left: 1.5rem;
    }
    
  }

  @media only screen and (max-width: 900px){
    .temperature-info-box{
      flex-direction: column;
      padding: 1.5rem;
    }
    .current-temperature-box{
      width: 100%;
      margin-bottom: 1rem;
    }
    .max-min-sun-box{
      width: 100%;
    }
    .header-title{
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }
    .five-day-title, .five-day-p{
      margin: auto;
    }
  }